petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscBagGetName

Gets the name of a bag of values

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagGetName(PetscBag bag, char **name)

Not Collective

### Input Parameter

bag -the bag of values

### Output Parameter

name -the name assigned to the bag

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagDestroy(), PetscBagRegisterEnum()

### Level

Intermediate

### Location

src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages